» Ubuntu » Packages » lucid (10.04LTS) » web » libapache-mod-security
lucid  ] [  lucid-updates  ] [  precise  ] [  precise-updates  ] [  raring  ] [  saucy  ]
[ Source: libapache-mod-security  ]

Package: libapache-mod-security (2.5.11-1ubuntu0.1) [security] [universe]

Links for libapache-mod-security

Screenshot

Ubuntu Resources:

Download Source Package libapache-mod-security:

Maintainer:

Please consider filing a bug or asking a question via Launchpad before contacting the maintainer directly.

Original Maintainer (usually from Debian):

  • Alberto Gonzalez Iniesta

It should generally not be necessary for users to contact the original maintainer.

Similar packages:

Tighten web applications security for Apache

Mod_security is an Apache module whose purpose is to tighten the Web application security. Effectively, it is an intrusion detection and prevention system for the web server.

At the moment its main features are:

  * Audit log; store full request details in a separate file, including POST
    payloads.
  * Request filtering; incoming requests can be analysed and offensive requests
    can be rejected (or simply logged, if that is what you want). This feature
    can be used to prevent many types of attacks (e.g. XSS attacks, SQL
    injection, ...) and even allow you to run insecure applications on your
    servers (if you have no other choice, of course).

In addition to this package the mod-security-common package, which includes documentation and configuration examples, will be installed.

Other Packages Related to libapache-mod-security

  • depends
  • recommends
  • suggests
  • enhances
  • dep: apache2.2-common
    Apache HTTP Server common files
  • dep: libc6 (>= 2.4)
    Embedded GNU C Library: Shared libraries
    also a virtual package provided by libc6-udeb
  • dep: liblua5.1-0
    Simple, extensible, embeddable programming language
  • dep: libpcre3 (>= 7.7)
    Perl 5 Compatible Regular Expression Library - runtime files
  • dep: libxml2 (>= 2.7.4)
    GNOME XML library
  • dep: mod-security-common (= 2.5.11-1ubuntu0.1)
    Tighten web applications security - common files

Download libapache-mod-security

Download for all available architectures
Architecture Package Size Installed Size Files
amd64 118.7 kB360.0 kB [list of files]
i386 111.2 kB324.0 kB [list of files]